StartupEvents.registry('block', event => {
	
	// VARIANTS
	
	// STONE
	event.create('polished_stone')
	.resistance(6.0)
	.hardness(1.5)
	.requiresTool(true)
	.tagBlock('minecraft:mineable/pickaxe')
	.mapColor('stone')
	.stoneSoundType()
	
	event.create('stone_pillar')
	.resistance(6.0)
	.hardness(1.5)
	.requiresTool(true)
	
	.stoneSoundType()
	
	.tagBlock('minecraft:mineable/pickaxe')
	
	.property(BlockProperties.AXIS)
	.placementState(event => event.set(BlockProperties.AXIS, event.clickedFace.axis))
	//.model('kubejs:block/stone_pillar')
	/*.blockstateJson({
		"variants": {
			"axis=x": {"model": "kubejs:block/stone_pillar", "x": 90, "y": 90},
			"axis=y": {"model": "kubejs:block/stone_pillar"},
			"axis=z": {"model": "kubejs:block/stone_pillar", "x": 90}
		}
	})*/
	
	
	// GLANCE
	event.create('glance_pillar')
	.resistance(6.0)
	.hardness(1.5)
	.requiresTool(true)
	
	.stoneSoundType()
	.mapColor('clay')
	
	.tagBlock('minecraft:mineable/pickaxe')
	.tagBoth('oreganized:stone_types/glance')
	
	.property(BlockProperties.AXIS)
	.placementState(event => event.set(BlockProperties.AXIS, event.clickedFace.axis))
	//.model('kubejs:block/glance_pillar')
	/*.blockstateJson({
		"variants": {
			"axis=x": {"model": "kubejs:block/glance_pillar", "x": 90, "y": 90},
			"axis=y": {"model": "kubejs:block/glance_pillar"},
			"axis=z": {"model": "kubejs:block/glance_pillar", "x": 90}
		}
	})*/
	
	
})
